Example

Loading...
Searching...
No Matches
Functions
CMEMSTimedData.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
`#include "Capsule/CPoint3d.h"`
Include dependency graph for CMEMSTimedData.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
| CLC_STRUCT_WNN (MEMSTimedData, clCMEMSTimedData, mems)
| Array of MEMS data with timepoints.
CL_DLL int32_t | clCMEMSTimedData_GetCount (clCMEMSTimedData memsTimedData) NOEXCEPT
CL_DLL clCPoint3d | clCMEMSTimedData_GetAccelerometer (clCMEMSTimedData memsTimedData, int32_t index) NOEXCEPT
CL_DLL clCPoint3d | clCMEMSTimedData_GetGyroscope (clCMEMSTimedData memsTimedData, int32_t index) NOEXCEPT
CL_DLL uint64_t | clCMEMSTimedData_GetTimepoint (clCMEMSTimedData memsTimedData, int32_t index) NOEXCEPT

## Function Documentation

## ◆ CLC_STRUCT_WNN()

CLC_STRUCT_WNN | ( | MEMSTimedData | ,
|  | clCMEMSTimedData | ,
|  | mems |
| ) |  |

Array of MEMS data with timepoints.

Contains samples of accelerometer and gyroscope 3D vectors and their timestamps

## ◆ clCMEMSTimedData_GetAccelerometer()

CL_DLL clCPoint3d clCMEMSTimedData_GetAccelerometer | ( | clCMEMSTimedData | memsTimedData,
|  | int32_t | index
| ) |  |

Get accelerometer orientation by index.

Parameters

  memsTimedData | mems values
  index | index

Returns
  accelerometer orientation

## ◆ clCMEMSTimedData_GetCount()

CL_DLL int32_t clCMEMSTimedData_GetCount | ( | clCMEMSTimedData | memsTimedData | ) |

Get total number of MEMS values.

Parameters

  memsTimedData | mems values

Returns
  number of values

## ◆ clCMEMSTimedData_GetGyroscope()

CL_DLL clCPoint3d clCMEMSTimedData_GetGyroscope | ( | clCMEMSTimedData | memsTimedData,
|  | int32_t | index
| ) |  |

Get gyroscope orientation by index.

Parameters

  memsTimedData | mems values
  index | index

Returns
  gyroscope orientation

## ◆ clCMEMSTimedData_GetTimepoint()

CL_DLL uint64_t clCMEMSTimedData_GetTimepoint | ( | clCMEMSTimedData | memsTimedData,
|  | int32_t | index
| ) |  |

Get MEMS time point by index.

Parameters

  memsTimedData | mems values
  index | index

Returns
  time point in microseconds